import { DatabaseConnector } from '../database/database-connector-builder';
import { Schema } from '../schema.interface';
import Customizer from './customizer';
import { Logger } from 'log4js';
export declare const dummyCustomSchema: Schema;
export declare class Analyser {
    private dbConnector;
    private customSchema;
    private customizer;
    private logger;
    constructor(dbConnector: DatabaseConnector, customSchema: Schema, customizer: Customizer, logger: Logger);
    analyse(): Promise<Schema>;
    private extractColumns;
    private extractForeignKeys;
    private orderTablesByForeignKeys;
    private generateJson;
}
