import { DatabaseConnector } from '../database/database-connector-builder';
import { Schema } from '../schema.interface';
import { Table } from '../table-descriptor.interface';
import { Logger } from 'log4js';
export declare class Generator {
    private dbConnector;
    private schema;
    private logger;
    private random;
    constructor(dbConnector: DatabaseConnector, schema: Schema, logger: Logger);
    private empty;
    private getForeignKeyValues;
    fill(table: Table, reset?: boolean, globalDisableTriggers?: boolean): Promise<void>;
    private before;
    private generateData;
    private after;
}
